ActivitiesCalls

Get a single Call activity

View as Markdown

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:)>.

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Response

Successful response
_typestring
activity_atdatetime or null
contact_idstring or null
created_bystring or null
date_createddatetime
date_updateddatetime
idstring
lead_idstring or null
organization_idstring
outcome_idstring or null
sourceenum
Source of a phone call or an SMS message.
Allowed values:
statusenum

Indicates the status of the call.

A brand new call starts off as Created. Then, if it’s answered, its status changes to InProgress. Finally, once either party hangs up, the status is updated to Completed.

Of course, that’s the happy path. There are other scenarios in which the call assumes a different status. Read the comments below for details.

Also, see possible call status values for Twilio [0] and, for historical calls, Plivo [1] from which the statuses below are derived.

[0] https://www.twilio.com/docs/voice/api/call-resource#call-status-values [1] https://www.plivo.com/docs/voice/detailed-reference/xml/introduction/request#call-status

updated_bystring or null
user_idstring or null
userslist of strings
created_by_namestring or null
sequence_idstring or null
sequence_namestring or null
sequence_subscription_idstring or null
updated_by_namestring or null
user_namestring or null

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error